org.jgrapht.ext

## Class StringEdgeNameProvider<E>

- java.lang.Object
- - org.jgrapht.ext.StringEdgeNameProvider<E>

- All Implemented Interfaces:
    EdgeNameProvider<E>

      public class StringEdgeNameProvider<E>
      extends Object
      implements EdgeNameProvider<E>

  Generates edge names by invoking `Object.toString()` on them. This assumes that the edge's `Object.toString()` method returns a unique String representation for each edge.
  Author:
    Trevor Harmon

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringEdgeNameProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEdgeName(E edge)` Returns the String representation an edge.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringEdgeNameProvider

          public StringEdgeNameProvider()

  - ### Method Detail

    - #### getEdgeName

          public String getEdgeName(E edge)

      Returns the String representation an edge.
      Specified by:
        `getEdgeName` in interface `EdgeNameProvider<E>`
      Parameters:
        `edge` - the edge to be named
      Returns:
        the name of the edge

Copyright © 2016. All rights reserved.